<template>
    <div id="home"  v-loading.fullscreen="isshow" :element-loading-text="istype"
    element-loading-spinner="el-icon-loading"
    element-loading-background="rgba(0, 0, 0, 0.8)">
        <div class="box" v-if="alllist.length>0">
            <div class="toptitle">
                <div class="theme"><span>全部</span></div>
                
            </div>
            <div class="center" v-for="(item,index) in alllist" :key="index">
                <div class="topbox">
                    <div class="left">
                        <img class="leftimg" src="../../assets/four.png">&nbsp;
                        <span style="color:red;">{{item.NStageName}}</span>
                    </div>
                    <div class="right">
                        <img class="rightimg" src="../../assets/pen.png">&nbsp;
                        <span><input type="text" readonly="readonly"  @click="opendepart(index,'Phasestatus',alllist)" v-model="item.Phasestatus"></span>
                    </div>
                </div>
                <ul class="list">
                    <li>
                        <div class="larticle"><span>收款额:</span><input type="text" readonly="readonly" v-model="item.Collectionbysteps"></div>
                        <div class="rarticle"><span>收款状态:</span><input type="text" readonly="readonly" v-model="item.ColletionStatus"></div>
                    </li>
                    <li>
                        <div class="larticle"><span style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png">计划开始:</span><input readonly="readonly" @click="openpicker(index,'SSdate',alllist)" type="text" v-model="item.SSdate"></div>
                        <div class="larticle"><span style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png">计划结束:</span><input readonly="readonly" @click="openpicker(index,'SCdate',alllist)" type="text" v-model="item.SCdate"></div>

                    </li>
                    <li>
                        <div class="rarticle"><span style="position:relative"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png">实际开始:</span><input readonly="readonly" @click="openpicker(index,'Startdate',alllist)" type="text" v-model="item.Startdate"></div>
                        <div class="rarticle"><span style="position:relative"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png">实际结束:</span><input readonly="readonly" @click="openpicker(index,'Enddate',alllist)" type="text" v-model="item.Enddate"></div>
                    </li>
                </ul>
            </div>
        </div>
         <div class="box" v-if="onelist.length>0">
            <div class="toptitle">
                <div class="theme"><img class="image1" src="../../assets/four.png" alt="">&nbsp;&nbsp;<span>一部分</span></div>
                
            </div>
            <div class="center" v-for="(item,index) in onelist" :key="index">
                <div class="topbox">
                    <div class="left">
                        <img class="leftimg" src="../../assets/stage.png">&nbsp;
                        <span>{{item.NStageName}}</span>
                    </div>
                    <div class="right">
                        <img class="rightimg" src="../../assets/open.png">&nbsp;
                        <span><input readonly="readonly" type="text"  @click="opendepart(index,'Phasestatus',onelist)" v-model="item.Phasestatus"></span>
                    </div>
                </div>
                <ul class="list">
                    <li>
                        <div class="larticle"><span>收款额:</span><input readonly="readonly"  type="text" v-model="item.Collectionbysteps"></div>
                        <div class="rarticle"><span>收款状态:</span><input readonly="readonly" type="text" v-model="item.ColletionStatus"></div>
                    </li>
                    <li>
                        <div class="larticle"><span><span style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png"></span>计划开始:</span><input readonly="readonly" @click="openpicker(index,'SSdate',onelist)" type="text" v-model="item.SSdate"></div>
                        <div class="rarticle"><span><span style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png"></span>实际开始:</span><input readonly="readonly" @click="openpicker(index,'Startdate',onelist)" type="text" v-model="item.Startdate"></div>
                    </li>
                    <li>
                        <div class="larticle"><span><span style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png"></span>计划结束:</span><input readonly="readonly" @click="openpicker(index,'SCdate',onelist)" type="text" v-model="item.SCdate"></div>
                        <div class="rarticle"><span><span style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png"></span>实际结束:</span><input readonly="readonly" @click="openpicker(index,'Enddate',onelist)" type="text" v-model="item.Enddate"></div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="box" v-if="twolist.length>0">
            <div class="toptitle">
                <div class="theme"><img class="image1" src="../../assets/four.png" alt="">&nbsp;&nbsp;<span>二部分</span></div>
                
            </div>
            <div class="center" v-for="(item,index) in twolist" :key="index">
                <div class="topbox">
                    <div class="left">
                        <img class="leftimg" src="../../assets/stage.png">&nbsp;
                        <span>{{item.NStageName}}</span>
                    </div>
                    <div class="right">
                        <img class="rightimg" src="../../assets/open.png">&nbsp;
                        <span><input readonly="readonly" type="text"  @click="opendepart(index,'Phasestatus',twolist)" v-model="item.Phasestatus"></span>
                    </div>
                </div>
                <ul class="list">
                    <li>
                        <div class="larticle"><span>收款额:</span><input readonly="readonly" type="text" v-model="item.Collectionbysteps"></div>
                        <div class="rarticle"><span>收款状态:</span><input readonly="readonly" type="text" v-model="item.ColletionStatus"></div>
                    </li>
                    <li>
                        <div class="larticle"><span><span style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png"></span>计划开始:</span><input readonly="readonly" @click="openpicker(index,'SSdate',twolist)" type="text" v-model="item.SSdate"></div>
                        <div class="rarticle"><span><span style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png"></span>实际开始:</span><input readonly="readonly"  @click="openpicker(index,'Startdate',twolist)" type="text" v-model="item.Startdate"></div>
                    </li>
                    <li>
                        <div class="larticle"><span><span style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png"></span>计划结束:</span><input readonly="readonly"  @click="openpicker(index,'SCdate',twolist)" type="text" v-model="item.SCdate"></div>
                        <div class="rarticle"><span><span style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png"></span>实际结束:</span><input readonly="readonly" @click="openpicker(index,'Enddate',twolist)" type="text" v-model="item.Enddate"></div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="box" v-if="threelist.length>0">
            <div class="toptitle">
                <div class="theme"><img class="image1" src="../../assets/four.png" alt="">&nbsp;&nbsp;<span>三部分</span></div>
                
            </div>
            <div class="center" v-for="(item,index) in threelist" :key="index">
                <div class="topbox">
                    <div class="left">
                        <img class="leftimg" src="../../assets/stage.png">&nbsp;
                        <span>{{item.NStageName}}</span>
                    </div>
                    <div class="right">
                        <img class="rightimg" src="../../assets/open.png">&nbsp;
                        <span><input readonly="readonly" type="text"  @click="opendepart(index,'Phasestatus',threelist)" v-model="item.Phasestatus"></span>
                    </div>
                </div>
                <ul class="list">
                    <li>
                        <div class="larticle"><span>收款额:</span><input readonly="readonly" type="text" v-model="item.Collectionbysteps"></div>
                        <div class="rarticle"><span>收款状态:</span><input readonly="readonly" type="text" v-model="item.ColletionStatus"></div>
                    </li>
                    <li>
                        <div class="larticle"><span><span style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png"></span>计划开始:</span><input readonly="readonly" @click="openpicker(index,'SSdate',threelist)" type="text" v-model="item.SSdate"></div>
                        <div class="rarticle"><span><span style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png"></span>实际开始:</span><input readonly="readonly" @click="openpicker(index,'Startdate',threelist)" type="text" v-model="item.Startdate"></div>
                    </li>
                    <li>
                        <div class="larticle"><span><span style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png"></span>计划结束:</span><input readonly="readonly" @click="openpicker(index,'SCdate',threelist)" type="text" v-model="item.SCdate"></div>
                        <div class="rarticle"><span><span style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png"></span>实际结束:</span><input readonly="readonly" @click="openpicker(index,'Enddate',threelist)" type="text" v-model="item.Enddate"></div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="box" v-if="fourlist.length>0">
            <div class="toptitle">
                <div class="theme"><img class="image1" src="../../assets/four.png" alt="">&nbsp;&nbsp;<span>四部分</span></div>
                
            </div>
            <div class="center" v-for="(item,index) in fourlist" :key="index">
                <div class="topbox">
                    <div class="left">
                        <img class="leftimg" src="../../assets/stage.png">&nbsp;
                        <span>{{item.NStageName}}</span>
                    </div>
                    <div class="right">
                        <img class="rightimg" src="../../assets/open.png">&nbsp;
                        <span><input readonly="readonly" type="text"  @click="opendepart(index,'Phasestatus',fourlist)" v-model="item.Phasestatus"></span>
                    </div>
                </div>
                <ul class="list">
                    <li>
                        <div class="larticle"><span>收款额:</span><input readonly="readonly" type="text" v-model="item.Collectionbysteps"></div>
                        <div class="rarticle"><span>收款状态:</span><input readonly="readonly"  type="text" v-model="item.ColletionStatus"></div>
                    </li>
                    <li>
                        <div class="larticle"><span><span style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png"></span>计划开始:</span><input readonly="readonly"  @click="openpicker(index,'SSdate',fourlist)" type="text" v-model="item.SSdate"></div>
                        <div class="rarticle"><span><span style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png"></span>实际开始:</span><input readonly="readonly" @click="openpicker(index,'Startdate',fourlist)" type="text" v-model="item.Startdate"></div>
                    </li>
                    <li>
                        <div class="larticle"><span><span style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png"></span>计划结束:</span><input readonly="readonly" @click="openpicker(index,'SCdate',fourlist)" type="text" v-model="item.SCdate"></div>
                        <div class="rarticle"><span><span style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left:-0.27rem;top:0.35rem;" src="../../assets/pencile.png"></span>实际结束:</span><input readonly="readonly" @click="openpicker(index,'Enddate',fourlist)" type="text" v-model="item.Enddate"></div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="blockdiv"></div>
        <div class="footer">
            <button @click="save()">保 存</button>
        </div>
         <mt-datetime-picker
                ref="picker"
                type="date"
                year-format="{value}年"
                month-format="{value}月"
                date-format="{value}日"
                v-model="pickerValue" @cancel="opendismiss()"  @confirm="handleconfirm()"  readonly="readonly">
            </mt-datetime-picker>
            <!-- <div class="bbde">
                 <el-dialog
                    :visible.sync="dialogVisible"
                    width="70%"
                    >
                    <ul class="departlist">
                        <li v-for="(item,index) in departlist" :key="index" @click="checkpart(item)">{{item}}</li>
                    </ul>
                    
                </el-dialog>
            </div> -->
           
         <div class="tip">
            <el-dialog
            title="提示"
            :visible.sync="issave"
            width="90%"
            height="20vh"
            >
                <span style="margin:0 auto; width:20%;">{{word}}</span>
                <span slot="footer" class="dialog-footer">
                    <el-button style="background:#5C77A0; color:white;" @click="sureback()">确 定</el-button>
                </span>
            </el-dialog>
        </div>
         <mt-actionsheet
            :actions="actions"
            v-model="sheetVisible">
        </mt-actionsheet>
    </div>
</template>
<script>
export default {
    data(){
        let tmonth=new Date().getMonth()+1;
        return{
            isshow:false,
            sheetVisible:false,
            istype:'',
            issave:false,
            word:'',
            datalist:[],
            alllist:[],
            onelist:[],
            twolist:[],
            threelist:[],
            fourlist:[],
            key:'',
            index:'',
            list:'',
            skey:'',
            sindex:'',
            slist:'',
            pickerValue:new Date().getFullYear()+'-'+tmonth+'-'+new Date().getDate(),
            dialogVisible:false,
            actions:[{name:'未开始',method:this.nostart},{name:'进行中',method:this.moving},{name:'已结束',method:this.endtype}],
        }
    },
    methods:{
        nostart(){
            this.sheetVisible=false;
            this.slist[this.sindex][this.skey]='未开始';
        },
        moving(){
             this.sheetVisible=false;
            this.slist[this.sindex][this.skey]='进行中';
        },
        endtype(){
             this.sheetVisible=false;
            this.slist[this.sindex][this.skey]='已结束';
        },
        handleconfirm(){
            let d=new Date(this.pickerValue);
            let month=d.getMonth()+1
            this.list[this.index][this.key]=d.getFullYear()+'-'+month+'-'+d.getDate();
             this.$refs.picker.close();
        },
        openpicker(index,key,list){
            this.key=key;
            this.$refs.picker.open();
            this.index=index;
            this.list=list;
        },
        opendepart(index,key,list){
            console.log("9999");
            // this.dialogVisible=true;
            this.sheetVisible=true;
            this.sindex=index;
            this.skey=key;
            this.slist=list;
        },
        // checkpart(item){
        //     this.dialogVisible=false;
        //     this.slist[this.sindex][this.skey]=item;
        // },
        sureback(){
                this.issave=false;
                if(this.word=="保存成功"){
                    this.$router.push({path:'./project',query:{id:this.$route.query.id}});
                } 
        },
        save(){
             let that=this;
            that.isshow=true;
            that.istype='保存中';
            let result={qlist:that.alllist,onelist:that.onelist,twolist:that.twolist,threelist:that.threelist,fourlist:that.fourlist}
             client.apexrest('/rest/SaveProjectStage',function(data){
                  console.log(data);
                  that.isshow=false;
                  if(data.Message=="Success"){
                      that.issave=true;
                      that.word='保存成功';
                  }else{
                      console.log(data.Message);
                      that.issave=true;
                      that.word=data.Message;
                      
                  }
                },function(error){
                  that.isshow=false;
                  console.log(error);
                  that.issave=true;
                  that.word=error;
                },'POST',result,true)
        }
    },
    created(){
          let that=this;
        that.isshow=true;
        that.istype='加载中';
         client.apexrest('/rest/ProjectStage?Pid='+that.$route.query.id,function(data){
                  console.log(data);
                  that.isshow=false;
                  if(data.Message=="Success"){
                     if(data.qblist.length>0){
                         that.alllist=data.qblist;
                     }else{
                         that.alllist=[];
                     }
                     if(data.ylist.length>0){
                          that.onelist=data.ylist;
                     }else{
                         that.onelist=[];
                     }
                     if(data.erlist.length>0){
                          that.twolist=data.erlist;
                     }else{
                         that.twolist=[];
                     }
                     if(data.sanlist.length>0){
                         that.threelist=data.sanlist;
                     }else{
                         that.threelist=[];
                     }
                     if(data.siconlist.length>0){
                         that.fourlist=data.siconlist;
                     }else{
                         that.fourlist=[];
                     }
                  }else{
                      that.isshow=false;
                      that.issave=true;
                      that.word=data.Message;
                      console.log(data.Message);
                  }
                },function(error){
                  that.isshow=false;
                  that.issave=true;
                  that.word=error;
                  console.log(error);

                },'GET',null,true)
    }
}
</script>
<style>
  #home .bbde .el-dialog{
        height: 40vh;
        width: 90%;
        overflow: scroll;
    }
    #home .tip .el-dialog{
        height: 30vh;
    }
</style>

<style lang="scss" type="text/scss" scoped>
    #home{
        width: 100%;

    }
    #home .box{
        width: 100%;
        margin: 0 auto;
        height: auto;
        background: white;
        margin-bottom: 0.2rem;
        border-radius: 0.2rem;
    }
    #home .box .toptitle{
        width: 100%;
        /* height: 2rem; */
        /* display: flex; */
        color: gray;
    }
    #home .box .toptitle .theme{
        width: 100%;
        height: 0.4rem;
        // line-height: 0.5rem;
        border-bottom: 0.02rem solid #eeeeee;
        display: flex;
        background: #eeeeee;
        // border-radius: 0.2rem 0.2rem 0 0;
        /* line-height:0.8rem; */
    }
     #home .box .toptitle .theme .image1{
         width: 0.5rem;
         height: 0.5rem;
         margin-top:0.2rem;
         margin-left: 0.1rem;
     }
     #home .box .toptitle .theme span{
           margin-top:0.1rem;
           color: balck;
           margin-left: 0.2rem;
           font-size: 0.24rem;
     }
      #home .box  .topbox{
          width: 100%;
          height: 0.8rem;
          display: flex;
          border-bottom: 0.02rem solid #eeeeee;
          background: #CFDCEF;
      }
     #home .box  .topbox .left{
         width:47%;
         margin-left: 3%;
         height:0.8rem;
         /* line-height: 0.8rem; */
         color: gray;
         display: flex;
     }
      #home .box  .topbox .left .leftimg{
          width: 0.35rem;
          height: 0.35rem;
          margin-top: 0.2rem;
      }
       #home .box  .topbox .left span{
            margin-top: 0.23rem;
       }
     #home .box  .topbox .right{
         width:47%;
         margin-left: -0.5%;
         height:0.8rem;
         /* line-height: 0.8rem; */
         color: gray;
         display: flex;
      
     }
      #home .box  .topbox .right span{
            margin-top: 0.23rem;
            color:gray;
      }
      #home .box  .topbox .right input{ 
          color: gray;
          background: none;
      }
      #home .box  .topbox .rightimg{
          width: 0.3rem;
          height: 0.3rem;
          margin-top: 0.23rem;
      
     }
  
    #home .box .center{
        width: 100%;
        // height: 3rem;
        background: white;
        border-bottom: 0.02rem solid #eeeeee;

    }
     #home .box .center .list{
         width: 100%;
     }
      #home .box .center .list li{
          width: 100%;
          height: 1rem;
          display: flex;
          line-height: 1rem;
      }
       #home .box .center .list li .larticle{
           width: 50%;
           display: flex;
       }
        #home .box .center .list li .larticle span{
            width: 35%;
            margin-left: 6%;
            color: gray;
        }
        #home .box .center .list li .larticle input{
            width: 60%;
            color: gray;
        }
       #home .box .center .list li .rarticle{
            width: 50%;
            display: flex;
       }
        #home .box .center .list li .rarticle span{
            width: 35%;
            color: gray;
            margin-left: 6%
        }
        #home .box .center .list li .rarticle input{
            width: 60%;
            color: gray;
        }
    #home .footer{
        width: 100%;
        height:1rem;
        position: fixed;
        left: 0;
        bottom: 0;
    }
     #home .footer button{
         width: 100%;
         height: 1rem;
         font-size: 0.30rem;
         background: white;
         color: #5477AB;
         border-top:0.02rem solid #eeeeee;
         line-height: 1rem;
         text-align: center;
     }
     .blockdiv{
         height: 2rem;
     }
    .departlist{
         width:100%;
     }
     .departlist li{
         width:100%;
         height: 1rem;
         line-height:1rem;
         border-bottom:0.02rem solid lightgray;
     }
</style>


